//Example of topology
syntax = "proto3";
package interdomain;

//import "google/protobuf/empty.proto";
import "context.proto";
import "slice.proto";

service InterdomainService {
  rpc Authenticate (context.TeraFlowController) returns (context.AuthenticationResult) {}
  rpc LookUpSlice(slice.TransportSlice) returns (slice.SliceId) {} //Slice component or from interdomain component
  rpc OrderSliceFromCatalog(slice.TransportSlice) returns (slice.SliceStatus) {}
  rpc CreateSliceAndAddToCatalog(slice.TransportSlice) returns (slice.SliceStatus) {}
}







